taffybar-0.4.6: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) José A. Romero L.
License | BSD3-style (see LICENSE)
Maintainer | José A. Romero L. <escherdragon@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.WindowSwitcher

Contents

- Usage

Description

Menu widget that shows the title of the currently focused window and that, when clicked, displays the list of all currently open windows allowing to switch to any of them.

N.B. If you're just looking for a drop-in replacement for the System.Taffybar.XMonadLog widget that is clickable and doesn't require DBus, you may want to see first System.Taffybar.TaffyPager.

Synopsis

- windowSwitcherNew :: Pager -> IO Widget

# Usage

This widget requires that the EwmhDesktops hook from the XMonadContrib project be installed in your `xmonad.hs` file:

    import XMonad.Hooks.EwmhDesktops (ewmh)
    main = do
      xmonad $ ewmh $ defaultConfig
    ...

Once you've properly configured `xmonad.hs`, you can use the widget in your `taffybar.hs` file:

    import System.Taffybar.WindowSwitcher
    main = do
      pager <- pagerNew defaultPagerConfig
      let wnd = windowSwitcherNew pager

now you can use `wnd` as any other Taffybar widget.

windowSwitcherNew :: Pager -> IO Widget Source #

Create a new WindowSwitcher widget that will use the given Pager as its source of events.